import { DatabaseService, FireEnjinSubmitInput } from "@fireenjin/sdk";
import { EventEmitter } from "../../../stencil-public-runtime";
import { Step, StepInput, Template } from "../../../sdk";
export declare class ModalAddStep {
  stepFormEl: HTMLFireenjinFormElement;
  stepInput: StepInput;
  beforeEl: any;
  afterEl: any;
  tagsEl: any;
  fieldEl: any;
  tabsEl: HTMLIonTabsElement;
  stepPreview: Step[];
  fireenjinSubmit: EventEmitter<FireEnjinSubmitInput>;
  floodteamCloseModal: EventEmitter;
  floodteamOpenModal: EventEmitter<{
    component: string;
    componentProps?: any;
  }>;
  toggleSteps: boolean;
  showFields: boolean;
  preview: boolean;
  type: "template" | "fields" | "component";
  steps: Step[];
  templates: Template[];
  stepId?: string;
  step?: Step;
  field: string;
  isAdvancedOpen: boolean;
  tab: "addStep" | "steps";
  db: DatabaseService;
  onSubmit(event: any): void;
  saveStep(): void;
  onCodeChange(event: any): void;
  toggleFieldsVisibility(): void;
  stepSelect(step: any): void;
  previewStep(step: Step): void;
  fieldSelect(field: any): void;
  addFieldToStep(field: any): void;
  deleteField(event: any, index: number): void;
  deleteStep(event: any, step: Step): void;
  componentDidLoad(): void;
  render(): any[];
}
